Type to search.

Get stream attachments

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Experimental since 9.3 This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Fetches all attachments linked to a stream that are visible to the current user in the current space. Optionally filter by attachment types, search query, and tags.

Required privileges

Privileges read_stream

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

streamName string · max length: 200 required

The name of the stream

Query parameters

query string · max length: 1000

Search query to filter attachments by title

attachmentTypes enum[] · max items: 3

Filter by attachment types (single value or array)

Values: dashboard rule slo
tags string[] · max items: 100

Filter by tags (single value or array)

Request body

Any of:

Response

200

Successfully retrieved attachments

application/json